[Regression] Audio card [8086:9d71] not detected after upgrade from linux 5.4 to 5.8

Bug #1915117 reported by Pierre Equoy
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
alsa-topology-conf (Ubuntu)
Medium
Unassigned
Focal
Medium
Unassigned
Hirsute
Medium
Unassigned
Impish
Medium
Unassigned
linux (Ubuntu)
High
Unassigned
Focal
High
Unassigned
Hirsute
High
Unassigned
Impish
High
Unassigned

Bug Description

[SRU Justification]

[Impact]
Skylake, Kabylake, Kabylake-refresh, Amberlake and some other platforms where audio is of SPT (PCH) type, HDA (with DSP capabilities) plus DMIC configuration is supported on these with skylake driver since kernel 5.8. However, no sound card can be detected w/o the topology binary file in /lib/firmware and corresponding ucm file.

[Fix]
The kernel config CONFIG_SND_SOC_INTEL_SKYLAKE_HDAUDIO_CODEC needa to be enabled for the snd_soc_skl driver to support HDA+DMIC configuration. And the topology binary file and UCM files need to be located in the correct path based on Intel's suggestion. https://gist.github.com/crojewsk/4e6382bfb0dbfaaf60513174211f29cb.

[Test]
On the Skylake/Kabylake platforms with either the PCI device 8086:9d70 and 8086:9d71, boot up the machine and check the existence of the sound card by either 'aplay -l' or 'pactl list' command.

[Where problems could occur]
Should be low risk, it only affects limited Intel Platforms with particular PCI device IDs + HDA plus DMIC configuration.

========== Original Bug Description ==========

Ubuntu version: 20.10 (updated from 20.04)
Kernel: 5.8.0-41-generic #46-Ubuntu
Manufacturer: Acer
Product Name: Swift SF314-54
BIOS Revision: 1.11

Audio card: Realtek High Definition Audio
Multimedia audio controller [0401]: Intel Corporation Sunrise Point-LP HD Audio [8086:9d71] (rev 21)

Summary
=======

After upgrading from linux kernel 5.4 to 5.8, there is no more sound card available. However, if I select kernel 5.4 in GRUB, the sound card is available.

Steps to reproduce
==================

1. Install 20.04 or 20.10 with a kenel 5.4
2. Check that sound output works as excepted (Settings > Sound > Output > Test)
3. Check that `alsa-info` command returns information
4. Upgrade kernel to 5.8

Expected results
================

Sound output still works.

Actual results
==============

2. Sound card is available, and sound can be output to the internal speakers.
4. No more sound card detected (Sound Settings display "Dummy Output" in the list of output devices).

ProblemType: Bug
DistroRelease: Ubuntu 20.10
Package: linux-image-5.8.0-41-generic 5.8.0-41.46
ProcVersionSignature: Ubuntu 5.8.0-41.46-generic 5.8.18
Uname: Linux 5.8.0-41-generic x86_64
ApportVersion: 2.20.11-0ubuntu50.5
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOME
Date: Tue Feb 9 14:42:00 2021
InstallationDate: Installed on 2019-01-20 (751 days ago)
InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 (20181017.3)
MachineType: Acer Swift SF314-54
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.8.0-41-generic root=/dev/mapper/ubuntu--vg-root ro quiet splash mem_sleep_default=deep vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-5.8.0-41-generic N/A
 linux-backports-modules-5.8.0-41-generic N/A
 linux-firmware 1.190.3
SourcePackage: linux
UpgradeStatus: Upgraded to groovy on 2021-02-03 (5 days ago)
dmi.bios.date: 11/21/2018
dmi.bios.release: 1.11
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: V1.11
dmi.board.name: Strongbow_KL
dmi.board.vendor: KBL
dmi.board.version: V1.11
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V1.11
dmi.ec.firmware.release: 1.6
dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.11:bd11/21/2018:br1.11:efr1.6:svnAcer:pnSwiftSF314-54:pvrV1.11:rvnKBL:rnStrongbow_KL:rvrV1.11:cvnAcer:ct10:cvrV1.11:
dmi.product.family: Swift 3
dmi.product.name: Swift SF314-54
dmi.product.sku: 0000000000000000
dmi.product.version: V1.11
dmi.sys.vendor: Acer

CVE References

Revision history for this message
Pierre Equoy (pieq) wrote :
Revision history for this message
Pierre Equoy (pieq) wrote :

As a point of comparison, below are attached logs when using the same device with the same Ubuntu (20.10) but with an older 5.4.0-65-generic kernel.

Revision history for this message
Pierre Equoy (pieq) wrote :
Revision history for this message
Pierre Equoy (pieq) wrote :
Revision history for this message
Pierre Equoy (pieq) wrote :

I've also tried booting a live USB with the latest alpha version from 21.04, based on kernel 5.8.0-36-generic, and the results are the same: no sound card detected, "Dummy Output" displayed in Sound Settings. See attached archive with same logs (dmesg, pactl, alsa-info).

description: updated
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
Jouni Mettala (jouni-mettala) wrote :
tags: added: needs-upstream-testing
Revision history for this message
Pierre Equoy (pieq) wrote :

I installed the following:

linux-headers-5.11.0-051100_5.11.0-051100.202102142330_all.deb
linux-headers-5.11.0-051100-generic_5.11.0-051100.202102142330_amd64.deb
linux-image-unsigned-5.11.0-051100-generic_5.11.0-051100.202102142330_amd64.deb
linux-modules-5.11.0-051100-generic_5.11.0-051100.202102142330_amd64.deb

I was warned for a bunch of "possible missing firmwares" for module i915:

W: Possible missing firmware /lib/firmware/i915/skl_guc_49.0.1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_49.0.1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_guc_49.0.1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/glk_guc_49.0.1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_guc_49.0.1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_guc_49.0.1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/cml_guc_49.0.1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/icl_guc_49.0.1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/ehl_guc_49.0.1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/ehl_guc_49.0.1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/tgl_guc_49.0.1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/tgl_guc_49.0.1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/dg1_dmc_ver2_02.bin for module i915

(see install.log attached for complete logs)

After disabling Secure Boot and botting in kernel 5.11, I still face the same issue: no input (nor output) sound devices (only "Dummy Output").

Revision history for this message
Pierre Equoy (pieq) wrote :

Adding alsa-info log from the mainline kernel.

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
Revision history for this message
PascalC (p92) wrote :

as a workaround, have you tried under your user in a konsole :

$ pacmd
Welcome to PulseAudio 13.99.2! Use "help" for usage information.
>>> exit
>>>
$

Revision history for this message
Chris Chiu (mschiu77) wrote :

According to https://bugzilla.kernel.org/show_bug.cgi?id=201251#c174, the Skylake and Kabylake are not supported yet by SOF. From the 5.11 kernel config, seems it's still true so far.

The Dummy output is caused by the Intel SST driver, remove the CONFIG_SND_SOC_INTEL_KBL in kernel config can get the audio input/output device back. Seems the Intel SST driver error results in the soundcard create failure and that's the root cause for this and #1902457.

One more thing, this SWIFT machine needs to quirk the NID 0x19 and 0x1a to get the headset jack sensing work.

We may need to find out root cause of the soundcard create failure.

Revision history for this message
Chris Chiu (mschiu77) wrote :

I tried to upstream the quirk (for jack sensing) titled "[PATCH] ALSA: hda/realtek: Enable MICs of Acer SWIFT with ALC256". It includes the SF314-55 I used to work before.

I'm bisecting to find the commit which causes the dummy output.

Revision history for this message
Chris Chiu (mschiu77) wrote :

After bisect on kernel, the https://github.com/torvalds/linux/commit/df1fceacb24853d79f41a1dd717b32ab08fa5f3f is the commit which cause the "no soundcards found" failure.

I can try to find the lost firmware for the Intel SST as the dmesg indicates
```
[ 24.760781] snd_soc_skl 0000:00:1f.3: Direct firmware load for 9d71-ACRSYS-ACRPRDCT-2-tplg.bin failed with error -2
[ 24.760788] snd_soc_skl 0000:00:1f.3: tplg fw 9d71-ACRSYS-ACRPRDCT-2-tplg.bin load failed with -2, trying alternative tplg name skl_hda_dsp_generic-tplg.bin
[ 24.760809] snd_soc_skl 0000:00:1f.3: Direct firmware load for skl_hda_dsp_generic-tplg.bin failed with error -2
[ 24.760811] snd_soc_skl 0000:00:1f.3: tplg skl_hda_dsp_generic-tplg.bin failed with -2, falling back to dfw_sst.bin
[ 24.760828] snd_soc_skl 0000:00:1f.3: Direct firmware load for dfw_sst.bin failed with error -2
[ 24.760829] snd_soc_skl 0000:00:1f.3: Fallback tplg fw dfw_sst.bin load failed with -2
[ 24.760831] snd_soc_skl 0000:00:1f.3: Failed to init topology!
[ 24.760832] snd_soc_skl 0000:00:1f.3: ASoC: error at snd_soc_component_probe on 0000:00:1f.3: -2
[ 24.760833] snd_soc_skl 0000:00:1f.3: ASoC: failed to probe component -2
[ 24.760846] skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: failed to instantiate card -2
[ 24.760897] skl_hda_dsp_generic: probe of skl_hda_dsp_generic failed with error -2
```

tags: added: bisect-done
Revision history for this message
Chris Chiu (mschiu77) wrote :

Based on https://bugzilla.kernel.org/show_bug.cgi?id=201251#c164, I generated the skl_hda_dsp_generic-tplg.bin and put it under /lib/firmware for the Intel SST driver. With my own build kernel (SOF and Intel SST all enabled), the dmesg shows that the ALC256 been found as down below.
```
[ 26.615808] snd_soc_skl 0000:00:1f.3: Direct firmware load for 9d71-ACRSYS-ACRPRDCT-2-tplg.bin failed with error -2
[ 26.615813] snd_soc_skl 0000:00:1f.3: tplg fw 9d71-ACRSYS-ACRPRDCT-2-tplg.bin load failed with -2, trying alternative tplg name skl_hda_dsp_generic-tplg.bin
[ 26.630399] snd_soc_skl 0000:00:1f.3: ASoC: Parent card not yet available, widget card binding deferred
[ 26.687728] debugfs: File 'DMIC01 Rx' in directory 'dapm' already present!
[ 26.687997] HDMI HDA Codec ehdaudio0D2: hdac_hdmi_present_sense: disconnect for pin:port 5:0
[ 26.688224] HDMI HDA Codec ehdaudio0D2: hdac_hdmi_present_sense: disconnect for pin:port 6:0
[ 26.688434] HDMI HDA Codec ehdaudio0D2: hdac_hdmi_present_sense: disconnect for pin:port 7:0
[ 26.696721] snd_hda_codec_realtek ehdaudio0D0: autoconfig for ALC256: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:speaker
[ 26.696724] snd_hda_codec_realtek ehdaudio0D0: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 26.696726] snd_hda_codec_realtek ehdaudio0D0: hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[ 26.696727] snd_hda_codec_realtek ehdaudio0D0: mono: mono_out=0x0
[ 26.696728] snd_hda_codec_realtek ehdaudio0D0: inputs:
[ 26.696729] snd_hda_codec_realtek ehdaudio0D0: Internal Mic=0x1a
[ 26.696730] snd_hda_codec_realtek ehdaudio0D0: Headset Mic=0x19
```
Now the `aplay -l` and `arecord -l` can show audio interfaces as expected. However, the `pactl list sinks`and `pactl list sources` still gives `Dummy` devices. Thus the Sound Settings display still show `Dummy Output`. We may need to update the pulseausio for this.

Revision history for this message
Chris Chiu (mschiu77) wrote :
Revision history for this message
Chris Chiu (mschiu77) wrote :
Revision history for this message
Chris Chiu (mschiu77) wrote :
Revision history for this message
Chris Chiu (mschiu77) wrote :

Tried simply put the skl_hda_dsp_generic-tplg.bin under /lib/firmware in the existing groovy which I expect the Intel SST should be brought up and then the intel-realtek-hda. Unfortunately, it does not work as I expected in #14. So no need to try newer pulseaudio.

Then, the best solution I can come out is to revert the https://github.com/torvalds/linux/commit/df1fceacb24853d79f41a1dd717b32ab08fa5f3f which I already verified in groovy kernel. It simply disable the Intel SST support for CONFIG_SND_SOC_INTEL_KBL and I don't think it would cause any side.

Revision history for this message
Chris Chiu (mschiu77) wrote :
Revision history for this message
尉晓亮 (black96) wrote :

  I have 8086:9d71 on a Xiaomi Redmi laptop and it dose cause some sides. If you simply disable the SST driver and fallback to the legacy hda driver, despite the various NID pin errors on different machines, the digital microphone won't work at all. Maybe the only solution to this is to 1)looking forward to sof firmware support, which is not much possible since the hardware(8086:9d71) we're using is based on kbl, or 2) get the proper SST driver for this platform working, it's the only firmware that supports both dmic and sound output.

Revision history for this message
Cezary Rojewski (crojewsk) wrote :

Hello,

This seems to be a duplicate of:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1902457

Comment of mine:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1902457/comments/73
should help you in dealing with the problem.

Revision history for this message
Chris Chiu (mschiu77) wrote :

@pierre Could you try the kernel debian package here? https://people.canonical.com/~mschiu77/lp1915117/

I enabled the CONFIG_SND_SOC_INTEL_SKYLAKE_HDAUDIO_CODEC as Cezary suggested.
After kernel debian package installation done, please place the attached binary file in /lib/firmware, then reboot the system.

Then verify whether the Audio input/output is still dummy. Thanks

Revision history for this message
Pierre Equoy (pieq) wrote :

@Chris thanks for the heads up!

Still "Dummy output" in the Sound Settings. Here are the steps I followed:

1. Downdloaded and installed the *.deb you pointed to:

$ sudo dpkg -i *.deb

2. Copied the Intel SST firmware binary file to /lib/firmware:

$ sudo cp skl_hda_dsp_generic-tplg.bin /lib/firmware/

3. Rebooted, disabled Secure Boot and selected the new kernel (5.10.0-1025-oem).

In dmesg, I see the following:

$ dmesg | grep snd
[ 10.027748] snd_hda_intel 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040100
[ 10.027752] snd_hda_intel 0000:00:1f.3: Digital mics found on Skylake+ platform, using SST driver
[ 10.051128] snd_soc_skl 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040100
[ 10.051132] snd_soc_skl 0000:00:1f.3: Digital mics found on Skylake+ platform, using SST driver
[ 10.051879] snd_soc_skl 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 10.103255] snd_soc_skl 0000:00:1f.3: Direct firmware load for 9d71-ACRSYS-ACRPRDCT-2-tplg.bin failed with error -2
[ 10.103261] snd_soc_skl 0000:00:1f.3: tplg fw 9d71-ACRSYS-ACRPRDCT-2-tplg.bin load failed with -2, trying alternative tplg name skl_hda_dsp_generic-tplg.bin
[ 10.104296] snd_soc_skl 0000:00:1f.3: ASoC: Parent card not yet available, widget card binding deferred
[ 10.129385] snd_hda_codec_realtek ehdaudio0D0: autoconfig for ALC256: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:speaker
[ 10.129388] snd_hda_codec_realtek ehdaudio0D0: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[ 10.129389] snd_hda_codec_realtek ehdaudio0D0: hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[ 10.129390] snd_hda_codec_realtek ehdaudio0D0: mono: mono_out=0x0
[ 10.129390] snd_hda_codec_realtek ehdaudio0D0: inputs:
[ 10.129392] snd_hda_codec_realtek ehdaudio0D0: Internal Mic=0x1a
[ 10.129393] snd_hda_codec_realtek ehdaudio0D0: Headset Mic=0x19

Please see the attached log for full dmesg.

Revision history for this message
Chris Chiu (mschiu77) wrote :

The dmesg log looks OK to me at least the snd_hda_codec_realtek has the chance to configure. The weird part is why still dummy output. Can you give me the output of the commands "pactl list sinks`, `pactl list sources`, `aplay -l` and `arecord -l`?

Could you also try to boot the kernel with the parameter "snd_intel_dspcfg.dsp_driver=2" per https://gist.github.com/crojewsk/4e6382bfb0dbfaaf60513174211f29cb in "Kernel modules" section to see if it makes any difference? Thanks

Revision history for this message
Pierre Equoy (pieq) wrote :

Attached is the output of pactl list sources.

Both aplay -l and arecord -l output the following error message:

aplay: device_list:274: no soundcards found...

I tried "snd_intel_dspcfg.dsp_driver=2", it's activated (cat /sys/module/snd_intel_dspcfg/parameters/dsp_driver returns "2"), but still only a Dummy output.

Revision history for this message
Pierre Equoy (pieq) wrote :

And the related logs from alsa-info when the dsp_driver is set to 2.

Revision history for this message
Pierre Equoy (pieq) wrote :

And related dmesg.log

Revision history for this message
Chris Chiu (mschiu77) wrote :

The dmesg looks weird to me. It doesn't have the snd_hda_intel and snd_hda_codec_realtek like in #23. Can you post the dmesg output w/o snd_intel_dspcfg.dsp_driver=2? Thanks

Revision history for this message
Pierre Equoy (pieq) wrote :

This is what I have now, with:

kernel command line:

BOOT_IMAGE=/vmlinuz-5.10.0-1025-oem root=/dev/mapper/vgubuntu-root ro quiet splash vt.handoff=7

uname -a
Linux 5.10.0-1025-oem #26 SMP Thu May 6 16:43:31 CST 2021 x86_64 x86_64 x86_64 GNU/Linux

Revision history for this message
Pierre Equoy (pieq) wrote :

For the sake of testing, I checked on the latest Impish daily image, with kernel 5.11.0-18-generic. Same problem. dmesg attached. Alsa and PulseAudio don't detect any sound card, even though in dmesg we can see:

$ sudo dmesg | grep -i snd
[ 26.169850] snd_hda_intel 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040100
[ 26.169858] snd_hda_intel 0000:00:1f.3: Digital mics found on Skylake+ platform, using SST driver

$ aplay -l
aplay: device_list:276: no soundcards found...
ubuntu@ubuntu:~$ pactl list cards
ubuntu@ubuntu:~$ pactl list sources
Source #0
 State: SUSPENDED
 Name: auto_null.monitor
 Description: Monitor of Dummy Output
 Driver: module-null-sink.c
 Sample Specification: s16le 2ch 44100Hz
 Channel Map: front-left,front-right
 Owner Module: 13
 Mute: no
 Volume: front-left: 65536 / 100% / 0.00 dB, front-right: 65536 / 100% / 0.00 dB
         balance 0.00
 Base Volume: 65536 / 100% / 0.00 dB
 Monitor of Sink: auto_null
 Latency: 0 usec, configured 0 usec
 Flags: DECIBEL_VOLUME LATENCY
 Properties:
  device.description = "Monitor of Dummy Output"
  device.class = "monitor"
  device.icon_name = "audio-input-microphone"
 Formats:
  pcm
ubuntu@ubuntu:~$ pactl list sinks
Sink #0
 State: SUSPENDED
 Name: auto_null
 Description: Dummy Output
 Driver: module-null-sink.c
 Sample Specification: s16le 2ch 44100Hz
 Channel Map: front-left,front-right
 Owner Module: 13
 Mute: no
 Volume: front-left: 65536 / 100% / 0.00 dB, front-right: 65536 / 100% / 0.00 dB
         balance 0.00
 Base Volume: 65536 / 100% / 0.00 dB
 Monitor Source: auto_null.monitor
 Latency: 0 usec, configured 0 usec
 Flags: DECIBEL_VOLUME LATENCY SET_FORMATS
 Properties:
  device.description = "Dummy Output"
  device.class = "abstract"
  device.icon_name = "audio-card"
 Formats:
  pcm

Revision history for this message
Pierre Equoy (pieq) wrote :
Revision history for this message
Pierre Equoy (pieq) wrote (last edit ):

Here is the dmesg output as well as some output from aplay and pactl after installing the kernel from:

https://people.canonical.com/~mschiu77/lp1915117/v2/

$ uname -a
Linux 5.10.0-1035-oem #36 SMP Mon Jun 28 16:41:34 CST 2021 x86_64 x86_64 x86_64 GNU/Linux

I can now see the audio card with aplay -l, but it still shows "Dummy Output" in the Sound Settings and no sound can be heard when trying to play a sound with aplay.

Revision history for this message
Chris Chiu (mschiu77) wrote :

Thanks. At least the `aplay` output align with the dmesg output. That makes more sense. What it you add the boot parameter `snd_intel_dspcfg.dsp_driver=2` in the kernel cmdline?

Revision history for this message
Pierre Equoy (pieq) wrote :

$ cat /sys/module/snd_intel_dspcfg/parameters/dsp_driver
2

Same result, though... still Dummy Output in Sound Settings.

Revision history for this message
Pierre Equoy (pieq) wrote :

Following a discussion with Chris, I checked /usr/share/alsa/ucm2/ and discovered that /usr/share/alsa/ucm2/hda-dsp/ was missing.

I created it and put the files from https://github.com/alsa-project/alsa-ucm-conf/tree/master/ucm2/hda-dsp in it.

I then restarted the computer and selected the 5.10.0-1035-oem kernel provided by Chris.

Now, not only the sound output works as expected from internal speakers, but the internal microphone works as well! I can also plug headsets using the Jack output and the sound is output as expected.

I attach pulseaudio logs for reference (without any headset connected).

Revision history for this message
Chris Chiu (mschiu77) wrote :

Thanks for help. I'll try to add the missing files in our linux-firmare/alsa-ucm-conf package.

Chris Chiu (mschiu77)
Changed in alsa-ucm-conf (Ubuntu):
status: New → Confirmed
Changed in linux-firmware (Ubuntu):
status: New → Confirmed
Revision history for this message
Chris Chiu (mschiu77) wrote :

@Pierre, can you help me verify the Groovy kernel here? https://people.canonical.com/~mschiu77/lp1915117/G/

I need to know if it's working with the existing firmware and the ucm files. Thanks

Changed in alsa-ucm-conf (Ubuntu Groovy):
status: New → Won't Fix
Changed in linux (Ubuntu Groovy):
status: New → Won't Fix
Changed in linux-firmware (Ubuntu Groovy):
status: New → Won't Fix
Chris Chiu (mschiu77)
no longer affects: alsa-ucm-conf (Ubuntu)
Changed in alsa-ucm-conf (Ubuntu Hirsute):
status: New → Won't Fix
Changed in alsa-ucm-conf (Ubuntu Impish):
status: Confirmed → Won't Fix
Changed in alsa-ucm-conf (Ubuntu Focal):
status: New → Confirmed
Chris Chiu (mschiu77)
description: updated
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

I don't think the firmware belongs in linux-firmware, but in alsa-topology-conf. I've filed a bug in Debian to build them when they update to the new version with a Makefile to make it simpler (1.2.5 and up). But in the meantime we could build it in d/rules and ship it there.

Revision history for this message
Timo Aaltonen (tjaalton) wrote :
Revision history for this message
Chris Chiu (mschiu77) wrote :

The is the debdiff of alsa-ucm-config package for focal

tags: added: patch
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Focal):
status: New → Confirmed
Changed in linux (Ubuntu Hirsute):
status: New → Confirmed
Changed in linux-firmware (Ubuntu Focal):
status: New → Confirmed
Changed in linux-firmware (Ubuntu Hirsute):
status: New → Confirmed
Revision history for this message
Vladimir Korenev (vkorenev) wrote (last edit ):

I have the same audio card [8086:9d71] on Lenovo Yoga C930. Audio was working on Focal with 5.4 kernel with snd_hda_intel driver, but the microphone was not. I managed to get it working by following this guide:
https://gist.github.com/crojewsk/4e6382bfb0dbfaaf60513174211f29cb

The biggest pain point for me is that Ubuntu kernels have CONFIG_SND_SOC_INTEL_SKYLAKE_HDAUDIO_CODEC disabled.
So I installed `5.11.0-25-generic` HWE kernel sources, turned on that option, and rebuilt the kernel from sources. However, it is tedious to to that every time a kernel update is released.

Is it possible to have that option turned on in Ubuntu kernel builds?

Please let me know if I can help with testing.

Changed in linux (Ubuntu Hirsute):
status: Confirmed → Fix Committed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-hirsute' to 'verification-done-hirsute'. If the problem still exists, change the tag 'verification-needed-hirsute' to 'verification-failed-hirsute'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-hirsute
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (62.5 KiB)

This bug was fixed in the package linux - 5.11.0-34.36

---------------
linux (5.11.0-34.36) hirsute; urgency=medium

  * hirsute/linux: 5.11.0-34.36 -proposed tracker (LP: #1941766)

  * Server boot failure after adding checks for ACPI IRQ override (LP: #1941657)
    - Revert "ACPI: resources: Add checks for ACPI IRQ override"

linux (5.11.0-33.35) hirsute; urgency=medium

  * hirsute/linux: 5.11.0-33.35 -proposed tracker (LP: #1940101)

  * libvirtd fails to create VM (LP: #1940107)
    - sched: Stop PF_NO_SETAFFINITY from being inherited by various init system
      threads

linux (5.11.0-32.34) hirsute; urgency=medium

  * hirsute/linux: 5.11.0-32.34 -proposed tracker (LP: #1939769)

  * Packaging resync (LP: #1786013)
    - debian/dkms-versions -- update from kernel-versions (main/2021.08.16)

  * CVE-2021-3656
    - SAUCE: KVM: nSVM: always intercept VMLOAD/VMSAVE when nested

  * CVE-2021-3653
    - SAUCE: KVM: nSVM: avoid picking up unsupported bits from L2 in int_ctl

  * [regression] USB device is not detected during boot (LP: #1939638)
    - SAUCE: Revert "usb: core: reduce power-on-good delay time of root hub"

  * Support builtin revoked certificates (LP: #1932029)
    - [Packaging] build canonical-revoked-certs.pem from branch/arch certs
    - [Packaging] Revoke 2012 UEFI signing certificate as built-in
    - [Config] Configure CONFIG_SYSTEM_REVOCATION_KEYS with revoked keys

  * Support importing mokx keys into revocation list from the mok table
    (LP: #1928679)
    - SAUCE: integrity: add informational messages when revoking certs

  * Support importing mokx keys into revocation list from the mok table
    (LP: #1928679) // CVE-2020-26541 when certificates are revoked via
    MokListXRT.
    - SAUCE: integrity: Load mokx certs from the EFI MOK config table

  * Include product_sku info to modalias (LP: #1938143)
    - firmware/dmi: Include product_sku info to modalias

  * Fix Ethernet not working by hotplug - RTL8106E (LP: #1930645)
    - net: phy: rename PHY_IGNORE_INTERRUPT to PHY_MAC_INTERRUPT
    - SAUCE: r8169: Use PHY_POLL when RTL8106E enable ASPM

  * [SRU][H/OEM-5.10/OEM-5.13/U] Fix system hang after unplug tbt dock
    (LP: #1938689)
    - SAUCE: igc: fix page fault when thunderbolt is unplugged

  * [Regression] Audio card [8086:9d71] not detected after upgrade from linux
    5.4 to 5.8 (LP: #1915117)
    - [Config] set CONFIG_SND_SOC_INTEL_SKYLAKE_HDAUDIO_CODEC to y

  * Backlight (screen brightness) on Lenovo P14s AMD Gen2 inop (LP: #1934557)
    - drm/amdgpu/display: only enable aux backlight control for OLED panels

  * Touchpad not working with ASUS TUF F15 (LP: #1937056)
    - pinctrl: tigerlake: Fix GPIO mapping for newer version of software

  * dev_forward_skb: do not scrub skb mark within the same name space
    (LP: #1935040)
    - dev_forward_skb: do not scrub skb mark within the same name space

  * Fix display output on HP hybrid GFX laptops (LP: #1936296)
    - drm/i915: Invoke another _DSM to enable MUX on HP Workstation laptops

  * [SRU][OEM-5.10/H] UBUNTU: SAUCE: Fix backlight control on Samsung 16727
    panel (LP: #1930527)
    - SAUCE: drm/i915: Force DPCD backlight mode for Samsung 16727 pa...

Changed in linux (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Revision history for this message
Chris Chiu (mschiu77) wrote :

@pierre, could you help verify the new focal kernel? Thanks

Revision history for this message
Chris Chiu (mschiu77) wrote :

A new debdiff of alsa-ucm-config package for focal based on alsa-ucm-conf_1.2.2-1ubuntu0.11

Revision history for this message
Chris Chiu (mschiu77) wrote :

Fix the debian/changelog error of the debdiff in #50.

Timo Aaltonen (tjaalton)
no longer affects: alsa-topology-conf (Ubuntu Groovy)
no longer affects: alsa-ucm-conf (Ubuntu Groovy)
no longer affects: linux (Ubuntu Groovy)
no longer affects: linux-firmware (Ubuntu Groovy)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.13.0-16.16

---------------
linux (5.13.0-16.16) impish; urgency=medium

  * impish/linux: 5.13.0-16.16 -proposed tracker (LP: #1942611)

  * Miscellaneous Ubuntu changes
    - [Config] update toolchain in configs

  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Config] Enable CONFIG_UBSAN_BOUNDS"

 -- Andrea Righi <email address hidden> Fri, 03 Sep 2021 16:21:14 +0200

Changed in linux (Ubuntu Impish):
status: Confirmed → Fix Released
Mathew Hodson (mhodson)
tags: added: regression-release
Changed in linux (Ubuntu Focal):
importance: Undecided → High
Changed in linux (Ubuntu Hirsute):
importance: Undecided → High
Changed in linux (Ubuntu Impish):
importance: Undecided → High
Revision history for this message
Juerg Haefliger (juergh) wrote :

Not a linux-firmware issues since the firwmare blobs will be provided by a different package. Marking linux-firmware tasks as 'invalid'.

Changed in linux-firmware (Ubuntu):
status: Confirmed → Invalid
Changed in linux-firmware (Ubuntu Focal):
status: Confirmed → Invalid
Changed in linux-firmware (Ubuntu Hirsute):
status: Confirmed → Invalid
Changed in linux-firmware (Ubuntu Impish):
status: Confirmed → Invalid
Mathew Hodson (mhodson)
no longer affects: linux-firmware (Ubuntu Impish)
no longer affects: linux-firmware (Ubuntu)
no longer affects: linux-firmware (Ubuntu Focal)
no longer affects: linux-firmware (Ubuntu Hirsute)
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

fixed in 1.2.5.1-2 which is in impish and up

Changed in alsa-topology-conf (Ubuntu Impish):
status: New → Fix Released
Changed in alsa-topology-conf (Ubuntu):
status: New → Fix Released
Mathew Hodson (mhodson)
no longer affects: alsa-ucm-conf (Ubuntu Focal)
no longer affects: alsa-ucm-conf (Ubuntu Hirsute)
no longer affects: alsa-ucm-conf (Ubuntu Impish)
Changed in alsa-topology-conf (Ubuntu):
importance: Undecided → Medium
Changed in alsa-topology-conf (Ubuntu Focal):
importance: Undecided → Medium
Changed in alsa-topology-conf (Ubuntu Hirsute):
importance: Undecided → Medium
Changed in alsa-topology-conf (Ubuntu Impish):
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.